%define prefix /usr

Summary: Graphical Keyboard
Name: gtkeyboard
Version: 1.1.1
Release: 1
Copyright: GPL
Group: Utilities/Terminal
Source: gtkeyboard-1.1.1.tar.gz
URL: http://opop.nols.com/
Requires: gtk+ >= 1.2.0
BuildRoot: /var/tmp/%{name}-buildroot

%description
GTKeyboard is an on-screen graphical keyboard for X11.  Users can press
buttons on the keyboard and have them appear either in a text editing
area, or optionally redirect the keypresses to other X applications.

The program is useful for people who wish to try out new keyboard mappings,
(it can remap the keyboard as well) and for people who cannot use the 
keyboard.  It also comes with a word completion facility which functions
in a manner similar to GNU readline, only for english (or any other language)
words rather than commands.  The word completion facility can use user-defined
cache files.

%prep
%setup
./configure --prefix=/usr

%build
#uncomment the following line to use compiling optimization
#RPM_OPT_FLAGS="$RPM_OPT_FLAGS"
make

%install
make PREFIX=$RPM_BUILD_ROOT%{prefix} install
#mkdir -p $RPM_BUILD_ROOT/usr/bin
#/usr/bin/install gtkeyboard $RPM_BUILD_ROOT/usr/bin

%files
/usr/bin/gtkeyboard
/usr/share/gtkeyboard/*
%doc AUTHORS MANUAL.html BUGS COMPILING COPYING ChangeLog INSTALL README NEWS TODO

%clean
rm -fr $RPM_BUILD_ROOT

%changelog 
* Sat May 27 2000 David <s2mdalle@titan.vcu.edu>
- Building 1.1.1 RPM

* Wed May 5 2000 David <s2mdalle@titan.vcu.edu>
- Building 1.1 RPM
- Changed application blurb
- Added MANUAL.html to %doc's

* Tue Apr 18 2000 David <s2mdalle@titan.vcu.edu>
- Built version 1.0 RPM.  Thanks to Valdemar Lemche for this spec file!

* Tue Mar 21 2000 Valdemar <valdemar@lemche.net>
- Fixed bugs in spec

* Tue Mar 07 2000 David Allen <s2mdalle@titan.vcu.edu>
- Built rpm for version 0.99
